> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ranking Interest🏆

> Get Twitter Top Ranking by Interest

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "data": [
      {
        "profile": {
          "masterID": "",
          "url": "https://x.com/Cristiano",
          "userID": "155659213",
          "platform": "x",
          "name": "Cristiano Ronaldo",
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TW:155659213?time=1755952941",
          "description": "Welcome to the official account of Cristiano Ronaldo.",
          "username": "Cristiano",
          "country": "global",
          "countryCode": "",
          "city": "",
          "type": "influencer",
          "gender": "f",
          "age": "45_100",
          "verified": true
        },
        "stats": {
          "followers": 115701209,
          "avgLikes": 512334,
          "avgComments": 9987,
          "avgER": 6.07859911830001,
          "avgInteractions": 561808,
          "avgViews": 29956590,
          "qualityScore": 0.824183006535948
        }
      },
      {
        "profile": {
          "masterID": "",
          "url": "https://x.com/WhoWhatWear",
          "userID": "19212009",
          "platform": "x",
          "name": "Who What Wear",
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TW:19212009?time=1749514390",
          "description": "Insider fashion and beauty inspiration for your timeline.",
          "username": "WhoWhatWear",
          "country": "united-states",
          "countryCode": "US",
          "city": "",
          "type": "business",
          "gender": "",
          "age": "",
          "verified": true
        },
        "stats": {
          "followers": 1903876,
          "avgLikes": 3,
          "avgComments": 0,
          "avgER": 0.00185343959198521,
          "avgInteractions": 92,
          "avgViews": 1836,
          "qualityScore": 0.551063829787234
        }
      },
      {
        "profile": {
          "masterID": "",
          "url": "https://x.com/Bulgariofficial",
          "userID": "60649803",
          "platform": "x",
          "name": "Bvlgari",
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TW:60649803?time=1747310588",
          "description": "The Magnificent Roman High Jeweler, icon of contemporary Italian Art of Living.",
          "username": "Bulgariofficial",
          "country": "global",
          "countryCode": "",
          "city": "",
          "type": "business",
          "gender": "",
          "age": "",
          "verified": false
        },
        "stats": {
          "followers": 835646,
          "avgLikes": 0,
          "avgComments": 0,
          "avgER": 0,
          "avgInteractions": 0,
          "avgViews": 0,
          "qualityScore": 0.207843137254902
        }
      },
      {
        "profile": {
          "masterID": "",
          "url": "https://x.com/Mango",
          "userID": "205339205",
          "platform": "x",
          "name": "MANGO",
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TW:205339205?time=1753752096",
          "description": "Craft your own story. \nDiscover our Woman, Man, Kids, Teen and Home collections.",
          "username": "Mango",
          "country": "global",
          "countryCode": "",
          "city": "",
          "type": "business",
          "gender": "",
          "age": "",
          "verified": false
        },
        "stats": {
          "followers": 716498,
          "avgLikes": 5,
          "avgComments": 1,
          "avgER": 0.0028823338532409,
          "avgInteractions": 7,
          "avgViews": 2648,
          "qualityScore": 0.440677966101695
        }
      },
      {
        "profile": {
          "masterID": "",
          "url": "https://x.com/proenzaschouler",
          "userID": "183734502",
          "platform": "x",
          "name": "Proenza Schouler",
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TW:183734502?time=1722887121",
          "description": "Proenza Schouler is a New York based womenswear and accessories brand founded in 2002 by designers Jack McCollough and Lazaro Hernandez.",
          "username": "proenzaschouler",
          "country": "poland",
          "countryCode": "PL",
          "city": "",
          "type": "business",
          "gender": "",
          "age": "",
          "verified": false
        },
        "stats": {
          "followers": 469154,
          "avgLikes": 0,
          "avgComments": 0,
          "avgER": 0,
          "avgInteractions": 0,
          "avgViews": 0,
          "qualityScore": 0.224342105263158
        }
      }
    ],
    "pagination": {
      "currentPage": 1,
      "totalPages": 1,
      "currentResults": 5,
      "totalCount": 5,
      "nextPage": false
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/twitter-ranking-interest
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/twitter-ranking-interest:
    get:
      tags:
        - Workflow
      description: Triggers the workflow twitter-ranking-interest
      operationId: get_wf_twitter-ranking-interest
      parameters:
        - name: interest
          in: query
          required: true
          description: >-
            Example: `lifestyle`. To get the full list of interests and niches
            use this endpoint: [Get Social
            Niches](/api-reference/social-other/niches)
          schema:
            type: string
        - name: page
          in: query
          required: true
          description: Requested page. Every page returns 20 profiles.
          schema:
            type: number
            default: 1
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````